Package: org.codehaus.groovy.runtime

## [Java] Class CategoryMethodList

- org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethodList

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `level` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyCategorySupport.CategoryMethodList (String name, int level, CategoryMethodList previous)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `add(CategoryMethod o)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArrayList` | `add, add, remove, remove, get, clone, indexOf, clear, contains, isEmpty, lastIndexOf, size, subList, toArray, toArray, addAll, addAll, iterator, set, ensureCapacity, trimToSize, listIterator, listIterator, removeAll, retainAll, equals, hashCode, toString, containsAll, wait, wait, wait, getClass, notify, notifyAll`
    `class AbstractList` | `add, add, remove, get, equals, hashCode, indexOf, clear, lastIndexOf, subList, addAll, iterator, set, listIterator, listIterator, remove, toString, contains, isEmpty, size, toArray, toArray, addAll, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, size`

- - ### Field Detail

    - #### public final int level

  - ### Constructor Detail

    - #### public GroovyCategorySupport.CategoryMethodList(String name, int level, CategoryMethodList previous)

  - ### Method Detail

    - #### public boolean add(CategoryMethod o)